org.wildfly.swarm.config.management

## Class ConfigurationChangesService<T extends ConfigurationChangesService<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.ConfigurationChangesService<T>

-     public class ConfigurationChangesService<T extends ConfigurationChangesService<T>>
      extends Object

  Service to store and list configuration changes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationChangesService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `Integer` | `maxHistory()` The maximum number of configuration changes stored in history.
    `T` | `maxHistory(Integer value)` The maximum number of configuration changes stored in history.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationChangesService

          public ConfigurationChangesService()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### maxHistory

          public Integer maxHistory()

      The maximum number of configuration changes stored in history.

    - #### maxHistory

          public T maxHistory(Integer value)

      The maximum number of configuration changes stored in history.

Copyright © 2018 JBoss by Red Hat. All rights reserved.